Skip to main content
GET
/
v1
/
incentives
Get Incentive Programs
curl --request GET \
  --url https://api.polymarketexchange.com/v1/incentives
{
  "programs": [
    {
      "marketSlug": "<string>",
      "timePeriods": [
        {
          "programId": "<string>",
          "programType": "<string>",
          "start": "2023-11-07T05:31:56Z",
          "end": "2023-11-07T05:31:56Z",
          "rewardPool": 123,
          "status": "active",
          "discountFactor": 123,
          "targetSize": 123,
          "period": "<string>",
          "createdAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "nextPageToken": "<string>"
}

Query Parameters

pageSize
integer<int32>

Number of markets to return per page. Use with pageToken for pagination. Example: 10

pageToken
string

Pagination token from a previous response's nextPageToken field. Omit for the first request

symbols
string[]

Filter by market symbols. Returns only programs for the specified markets. Example: aec-nba-bos-nyk-2026-04-01

orderBy
enum<string>

Field to sort results by. created_at sorts by program start time, reward sorts by reward pool size

Available options:
created_at
orderDirection
enum<string>

Sort direction. Default: desc

Available options:
asc,
desc
statuses
enum<string>[]

Filter by program status. Multiple values can be provided. Example: statuses=active&statuses=pending

Available options:
active,
closed,
pending

Response

200 - application/json

List of incentive programs grouped by market

programs
object[]

Incentive programs grouped by market

nextPageToken
string

Pagination token for next page. Empty if no more results